Tasks
List Tasks
List the available tasks
GET
https://api.textreveal.com/v3/tasks
Request
Parameters
sizeintegerNumber of records per page
Default: 10Range: [1, 1000]search_afterstringsearch_afterfield value from the previous pagefields(string (enum))[]Fields to include in the response
Default: ["id", "status", "description", "type", "created_at", "completed_at"]Values: "id", "status", "description", "type", "created_at", "completed_at"orderstring[]Order to apply to the result.
Possible fields are:
created_at,completed_at,status.Possible directions are:
ascanddesc.You can specifiy multiples values.
Default: ["created_at:desc", "completed_at:desc", "status:desc"]
Response
Properties of the tasks
data*object[]Properties of the tasks. Only the tasks available for you are returned.
size*integerNumber of records per page requested.
Example: 1has_next*booleanTrue if there are more records available.
Example: truecount*integerNumber of records returned in the current page.
Example: 1search_after*string | nullCursor for next page.
Response
{
"data": [
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "starting",
"description": "CSV Export - Universe 'MSCI World'",
"type": "export",
"created_at": "2026-02-18T12:34:56Z",
"completed_at": "2025-04-09T14:15:54.000Z"
}
],
"size": 1,
"has_next": true,
"count": 1,
"search_after": "string"
}Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"errorsobject[]Possible error causes, like query params, headers or body.
Response
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*number (enum)Error code.
Values: 403reason*string (enum)Values: "forbidden"
Response
{
"message": "Not authorized to access this resource",
"code": 403,
"reason": "forbidden"
}